## ascii-patrol 1.7+dfsg

=== Makefile ===
CXX      = g++
CXXFLAGS = -Wno-multichar -O3 -D NIX
LD       = g++
LDFLAGS  = -pthread
LIBS     = -L/usr/X11/lib -lX11 -lXi -lpulse
OBJS     = manual.o mo3.o unmo3.o stb_vorbis.o conf.o gameover.o inter.o \
           twister.o game.o temp.o menu.o assets.o spec_dos.o spec_win.o \
           spec_nix.o spec_web.o

.cpp.o:
	$(CXX) -c $(CXXFLAGS) -o $*.o $<

all: depend asciipat

asciipat: $(OBJS)
	$(LD) -o $@ $(LDFLAGS) $(OBJS) $(LIBS)

clean:
	rm -f *.o *~ depend

depend: Makefile
	@echo Building dependencies...
	@echo > $@
	@for i in $(OBJS); do \
	    $(CXX) $(CXXFLAGS) -MM $${i%.o}.cpp; \
	done >> $@

sinclude depend

=== debian/changelog ===
ascii-patrol (1.7+dfsg-1) unstable; urgency=medium

  * Initial packaging (Closes: #1035060)
  * Adjust Makefile to build and clean correctly
  * Add symlink "ascii-patrol" to binary "asciipat", more intuitive I believe
  * Remove the web port (minified js files with no decompressed source)
  * Remove MS Windows port

 -- Raul Cheleguini <raul.cheleguini@gmail.com>  Wed, 21 Jun 2023 15:50:00 -0300

=== debian/control ===
Source: ascii-patrol
Section: games
Priority: optional
Maintainer: Raul Cheleguini <raul.cheleguini@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libx11-dev,
 libpulse-dev,
 libxi-dev,
 pandoc <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://github.com/msokalski/ascii-patrol


Package: ascii-patrol
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Suggests:
 gnome-terminal
Description: ASCII game inspired by Moon Patrol
 ASCII game project inspired by Moon Patrol for text based terminal. Guide your
 character through a treacherous terrain, avoiding obstacles and shooting down
 enemies. Survive as long as possible to achieve a high score.

=== debian/rules ===
#!/usr/bin/make -f

# We patch the upstream Makefile to respect environment build flags and remove
# the -O2 flag, so here we need to append back the remaining upstream flags
export DEB_CXXFLAGS_MAINT_APPEND = -Wno-multichar -D NIX

# Enabling hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# Lets guard the invocation of pandoc in order to make sure that it's not
# executed when the nodoc build profile is used
ifeq (,$(filter nodoc, $(DEB_BUILD_PROFILES)))
execute_after_dh_auto_build:
	pandoc -s -f markdown -t man debian/asciipat.md -o debian/asciipat.6
endif

=== debian/watch ===
version=4

opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=auto,\
filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1% \
   https://github.com/msokalski/ascii-patrol/tags \
   (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
